﻿using System;
using System.Collections.Generic;
using System.Text;

namespace wms.dto.request.cp
{
    public class SalesDocTransRequest:BaseRequest 
    {
        /// <summary>
        /// 发货单号/退货单号
        /// </summary>
        public string BillCode { get; set; }
        /// <summary>
        /// 客户编码
        /// </summary>
        public string CustCode { get; set; }
        /// <summary>
        /// 客户名称
        /// </summary>
        public string CustName { get; set; }
        /// <summary>
        /// 发货日期/退货时间
        /// </summary>
        public string Date { get; set; }
        /// <summary>
        /// 箱号清单
        /// </summary>
        public List<string> BoxList { get; set; }
        /// <summary>
        /// 凭证号
        /// </summary>
        public string ReqId { get; set; }
        /// <summary>
        /// 仓库编码
        /// </summary>
        public string WareCode { get; set; }
        /// <summary>
        /// 是否返工
        /// </summary>
        public bool IsReWork { get; set; }
    }
    public class ErpCancelStockRequest
    {
        public List<string> BoxList { get; set; }
        public string BillCode { get; set; }
    }
}
