﻿using System;
using System.Collections.Generic;
using System.Text;

namespace wms.dto.request.fj
{
    public class FjErrorMaterialStockOutRequest:BaseRequest
    {
        /// <summary>
        /// 出库货位
        /// </summary>
        public string FromLocCode { get; set; }
        /// <summary>
        /// 仓库编码
        /// </summary>
        public string WareCode { get; set; }
        /// <summary>
        /// 出库口
        /// </summary>
        public string LocCode { get; set; }
        /// <summary>
        /// 单号
        /// </summary>
        public string BillCode { get; set; }
    }
    public class FjErrorMaterialStockOutRequestItem
    {
        /// <summary>
        /// 工字轮条码
        /// </summary>
        public string SpoolCode { get; set; }
        /// <summary>
        /// 材料号
        /// </summary>
        public string MatBarCode { get; set; }
    }
}
