﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Runtime.CompilerServices;
using System.Text;

namespace wms.dto.request.hj
{
    public class DetailCodeRequest
    {
        public string Code { get; set; }
        public string? Cell { get; set; }
        public int ContGrpType { get; set; }
    }
    public class WebErrorRequest
    {
        public string TaskNo { get; set; }
    }
    public class DetailCodeRequestdto
    {
        public string Code { get; set; }
        public int State { get; set; }
    }
    /// <summary>
    /// 货位数据互换
    /// </summary>
    public class DataSwapCellRequest
    {
        /// <summary>
        /// 起始货位
        /// </summary>
        [Required(ErrorMessage = "{0} 起始货位不可为空")]
        public string StatEquip { get; set; }
        /// <summary>
        /// 目标货位
        /// </summary>
        [Required(ErrorMessage = "{0} 目标货位不可为空")]
        public string EndEquip { get; set; }
    }
}
