﻿using System; 
using System.Collections.Generic;
using SqlSugar;

namespace wms.sqlsugar.model.cp
{
    [Tenant("cp")]
    [SugarTable("Base_ContInfo")]
    public partial class cpBaseContinfo:BaseModel
    { 
      
        /// <summary> 
        /// WarehouseId
        /// </summary> 
        [SugarColumn(ColumnDataType ="bigint" ,  IsNullable = false )]
        public long WarehouseId { get; set; }

        /// <summary> 
        /// IsStop
        /// </summary> 
        [SugarColumn(ColumnDataType ="int" ,  IsNullable = false )]
        public int IsStop { get; set; }

        /// <summary> 
        /// ContBarCode
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 100  , IsNullable = false )]
        public string ContBarCode { get; set; }

        /// <summary> 
        /// Name
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 100  , IsNullable = false )]
        public string Name { get; set; }

        /// <summary> 
        /// TypeCode
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = false )]
        public string TypeCode { get; set; }

        /// <summary> 
        /// PrintQty
        /// </summary> 
        [SugarColumn(ColumnDataType ="int" ,  IsNullable = false )]
        public int PrintQty { get; set; }

        /// <summary> 
        /// LengthQty
        /// </summary> 
        [SugarColumn(ColumnDataType ="decimal" , Length = 18, DecimalDigits = 6, IsNullable = false )]
        public decimal LengthQty { get; set; }

        /// <summary> 
        /// WidthQty
        /// </summary> 
        [SugarColumn(ColumnDataType ="decimal" , Length = 18 , DecimalDigits = 6, IsNullable = false )]
        public decimal WidthQty { get; set; }

        /// <summary> 
        /// HighQty
        /// </summary> 
        [SugarColumn(ColumnDataType ="decimal" , Length = 18 , DecimalDigits = 6, IsNullable = false )]
        public decimal HighQty { get; set; }

        /// <summary> 
        /// WeightQty
        /// </summary> 
        [SugarColumn(ColumnDataType = "decimal", Length = 18, DecimalDigits = 6, IsNullable = false)]
        public decimal WeightQty { get; set; }

    

    }
}

