﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Text;

namespace wms.sqlsugar.model.pt
{
    [Tenant("pt")]
    [SugarTable("Bill_Mesmiddle")]
    public partial class ptBillMesmiddle : BaseModel
    {

        /// <summary> 
        /// 单号
        /// </summary> 
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = false)]
        public string BillCode { get; set; }

        /// <summary> 
        /// 炉号
        /// </summary> 
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string BoilerNo { get; set; }

        /// <summary> 
        /// 物料编码
        /// </summary> 
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = false)]
        public string MatCode { get; set; }

        /// <summary> 
        /// 包号
        /// </summary> 
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string PackNo { get; set; }

        /// <summary> 
        /// 材料号
        /// </summary> 
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string MatBarCode { get; set; }

        /// <summary> 
        /// 仓库编码
        /// </summary> 
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = false)]
        public string WareCode { get; set; }

        /// <summary> 
        /// 状态
        /// </summary> 
        [SugarColumn(ColumnDataType = "int", IsNullable = false)]
        public int State { get; set; }
        /// <summary> 
        /// 更新次数
        /// </summary> 
        [SugarColumn(ColumnDataType = "int", IsNullable = false)]
        public int Count { get; set; }
    }
}
