namespace wms.workservice
{
    public class Worker : BackgroundService
    {
        private readonly ILogger<Worker> _logger;
        private readonly ConService _consevice;

        public Worker(ILogger<Worker> logger, ConService consevice)
        {
            _logger = logger;
            _consevice= consevice;
        }

        public override async Task StartAsync(CancellationToken cancellationToken)
        {
            _consevice.WriteLog("ʱΪ: " + DateTimeOffset.Now);
            //_consevice.FJConsumer();
            await base.StartAsync(cancellationToken);
        }
        protected override async Task ExecuteAsync(CancellationToken stoppingToken)
        {
            while (!stoppingToken.IsCancellationRequested)
            {
                _consevice.WriteLog("ִʱΪ: " + DateTimeOffset.Now);
                _logger.LogInformation("Worker running at: {time}", DateTimeOffset.Now);
       
                await Task.Delay(10000, stoppingToken);
            }
        }

        //ֹͣʱִ
        public override async Task StopAsync(CancellationToken cancellationToken)
        {
            _consevice.WriteLog("ֹͣʱΪ: " + DateTimeOffset.Now);
            await base.StopAsync(cancellationToken);
        }
 
    }
}