﻿using System;
using System.Collections.Generic;
using System.Text;

namespace wms.dto
{
    public class Const
    {
        /// <summary>
        /// MES基础数据数据同步增量类型-物料
        /// </summary>
        public const string MESMaterialInitIncrement = "MESMaterialInitIncrement";
        /// <summary>
        /// 任务组名
        /// </summary>
        public static readonly string JobGroupName = "DefaultGroup";
        /// <summary>
        /// 触发器组名
        /// </summary>
        public static readonly string TiggerGroupName = "DefaultGroupTrigger";


        /// <summary>
        /// 合金库接驳口类型
        /// </summary>
        public const string HJLocPortType = "HJLocPortType";
        public const int Zero = 0;
        public const int One = 1;
        public const int MinOne = -1;
        /// <summary>
        /// 合金仓库
        /// </summary>
        public const string HjWareHouse = "";
        /// <summary>
        /// 盘条仓库
        /// </summary>
        public const string PtWareHouse = "pthouse";
        /// <summary>
        /// 成品仓库
        /// </summary>
        public const string CpWareHouse = "cphouse";
        /// <summary>
        /// 二楼出库站台设备号，手动出库使用，用于区分一、二楼任务
        /// </summary>
        public static readonly string[] FloorEquip = { "1022", "1024", "1026" };
        /// <summary>
        /// 生产叫料区6个缓存架
        /// </summary>
        public const string ProductType = "ProductPinKu";
        /// <summary>
        /// 盘条库前22个缓存区
        /// </summary>
        public const string PinKu_22Type = "22PinKu";
        /// <summary>
        /// 成品库请求生成入库任务设备常量
        /// </summary>
        public static readonly string[] CpTaskInEquip = { "8277", "8262", "8270", "8120" };
        /// <summary>
        /// 成品人工出库口
        /// </summary>
        public static readonly string[] SouthOutEquip = { "8278", "8269", "8263", "8257", "8087", "8028", "8094", "8088","8313" };
        /// <summary>
        /// 盘条平库
        /// </summary>
        public const string PtPinKuhouseType = "Pinku";
        /// <summary>
        /// 成品库母托盘类型
        /// </summary>
        public const string TrayType = "TPC";
    }
}
