﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text;

namespace wms.dto.request.cp
{
    public class CpGetCurStockListRequest
    {
        /// <summary>
        /// 物料编码
        /// </summary>
        public string MatCode { get; set; }
        /// <summary>
        /// 物料名称
        /// </summary>
        public string MatName { get; set; }
        /// <summary>
        /// 工字轮料号
        /// </summary>
        public string HWmater { get; set; }
        /// <summary>
        /// 请求条数
        /// </summary>
        [Required(ErrorMessage = "{0} 不可为空")]
        public int ReqCount { get; set; }
        /// <summary>
        /// 当前页
        /// </summary>
        public int PageIndex { get; set; }
        /// <summary>
        /// 每页条数
        /// </summary>
        public int PageSize { get; set; }
        /// <summary>
        /// 开始时间
        /// </summary>
        public DateTime StartTime { get; set; }
        /// <summary>
        /// 结束时间
        /// </summary>
        public DateTime EndTime { get; set; }
        /// <summary>
        /// 箱号列表
        /// </summary>
        public List<string> BoxNo { get; set; }
    }
}
