﻿using System;
using System.Collections.Generic;
using System.Text;

namespace wms.dto.request.cp.dto
{
    public class WebPdaRequest
    {
    }
    /// <summary>
    ///  库尾入库请求
    /// </summary>
    public class SouthPdaRequest
    {
        /// <summary>
        ///  箱号
        /// </summary>
        public string? BoxCode { get; set; }
        /// <summary>
        ///  托盘条码
        /// </summary>
        public string ContGrpBarCode { get; set; }

        /// <summary>
        ///  类型 1.间隔版  2.空铁托盘
        /// </summary>
        public string? Type { get; set; }

        /// <summary>
        ///  是否强制入5号道
        /// </summary>
        public bool IsForcedIntoLane5 { get; set; } = false;
    }
    public class TrayGroupOutRequest : BaseRequest
    {
        /// <summary>
        /// 位置码
        /// </summary>
        public string Equip { get; set; }
        /// <summary>
        /// 托盘编码
        /// </summary>
        public string Code { get; set; }
        public string? WareHouse { get; set; }
        public string? Start { get; set; }
        public int ActType { get; set; }

    }
    public class SalesDocOutTaskRequest : BaseRequest
    {
        public string SalesDoc { get; set; }
        public int Equip { get; set; }
    }
    public class SalesDocAutoPushRequest
    {
        public string Type { get; set; }
    }
    public class DataBasePatchRequest
    {
        public string Code { get; set; }
        public string Cell { get; set; }
        public string WareHouse { get; set; }
        public int ContGrpType { get; set; }
        public string? BoxCode { get; set; }
    }
    public class PreLockedStockRequest : BaseRequest
    {
        public string BillCode { get; set; }
    }
}
