﻿using System;
using System.Collections.Generic;
using System.Text;

namespace wms.dto.request.fj
{
    /// <summary>
    /// 配方信息请求实体
    /// </summary>
    public class WetFormulaInfoRequest:BaseRequest
    {
        /// <summary>
        /// 投料信息编码
        /// </summary>
        public string FeedCode { get; set; }
        /// <summary>
        /// 帘线工序物料编码
        /// </summary>
        public string MaterialCode { get; set; }
        /// <summary>
        /// 湿拉物料信息列表
        /// </summary>
        public List<WetFormulaInfoItem> FeedList { get; set; }
    }

    public class WetFormulaInfoItem
    {
        public string MatCode { get; set; }
        public int Count { get; set; }
    }
}
