﻿using System;
using System.Collections.Generic;
using System.Text;

namespace wms.dto.request
{
    public class CreateStockInWcsTaskRequest
    {
        /// <summary>
        /// 容器条码
        /// </summary>
        public string ContGrpBarCode { get; set; }
        /// <summary>
        /// 主盘主表ID
        /// </summary>
        public long ContGrpId { get; set; }
        /// <summary>
        /// 仓库编码
        /// </summary>
        public string WarehouseCode { get; set; }
        public decimal Qty { get; set; }
        /// <summary>
        /// 单据号
        /// </summary>
        public string DocCode { get; set; }
        public long DocId { get; set; }
        /// <summary>
        /// 设备编号
        /// </summary>
        public string EquCode { get; set; }
        /// <summary>
        /// 业务类型
        /// </summary>
        public string BusType { get; set; }
        public int Floor { get; set; }
        public string ProLine { get; set; }
        public string MatCode { get; set; }
        public string MaterialCode { get; set; }

        /// <summary>
        /// 是否越库(0入立库，1直接搬运至二楼)
        /// </summary>
        public short IsDirMove { get; set; } = 0;

        public string InvBarCode { get; set; }
        public string Grade { get; set; }

        public bool IsSurplus { get; set; }
 
        public bool IsRework { get; set; }
        public bool IsFast { get; set; }
        /// <summary>
        /// 请求编号
        /// </summary>
        public string ReqCode { get; set; }
    }
}
