﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text;

namespace wms.dto.request.hj
{
    /// <summary>
    /// 复核异常上报请求实体
    /// </summary>
    public class RfidCheckDiffRequest
    {
        /// <summary>
        /// RFID
        /// </summary>
        [Required(ErrorMessage = "{0} 不可为空")]
        public string RFID { get; set; }
        /// <summary>
        /// OrgRFID
        /// </summary>
        [Required(ErrorMessage = "{0} 不可为空")]
        public string OrgRFID { get;set; }
        /// <summary>
        /// 任务号
        /// </summary>
        [Required(ErrorMessage = "{0} 不可为空")]
        public string TaskNo { get; set; }
        /// <summary>
        /// 异常信息
        /// </summary>
        [Required(ErrorMessage = "{0} 不可为空")]
        public string ErrMsg { get; set; }
        /// <summary>
        /// 异常点位
        /// </summary>
        [Required(ErrorMessage = "{0} 不可为空")]
        public string ErrLoc { get; set; }
        /// <summary>
        /// 起始点位
        /// </summary>
        [Required(ErrorMessage = "{0} 不可为空")]
        public string StartLoc { get; set; }
    }
}
