﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text;

namespace wms.dto.request.pt
{
    /// <summary>
    /// 库存改判请求实体
    /// </summary>
    public class PtStockChangeRequest:BaseRequest
    {
        ///// <summary>
        ///// 单号
        ///// </summary>
        //[Required(ErrorMessage = "{0} 不可为空")]
        //public string BillCode { get; set; }
        ///// <summary>
        ///// 仓库编码
        ///// </summary>
        //[Required(ErrorMessage = "{0} 不可为空")]
        //public string WareCode { get; set; }
        /// <summary>
        /// 过账凭证号
        /// </summary>
        [Required(ErrorMessage = "{0} 不可为空")]
        public string ReqId { get; set; }
        /// <summary>
        /// 改判信息列表
        /// </summary>
        public List<PtStockChangeRequestItem> ListInfo { get; set; }
    }
    public class PtStockChangeRequestItem
    {
        ///// <summary>
        ///// RFID值
        ///// </summary>
        //public string RFID { get; set; }
        ///// <summary>
        ///// 炉号
        ///// </summary>
        //public string BoilerNo { get; set; }
        ///// <summary>
        ///// 包号
        ///// </summary>
        //public string PackNo { get; set; }
        /// <summary>
        /// 材料号
        /// </summary>
        public string MatBarCode { get; set; }
        /// <summary>
        /// 改判状态
        /// </summary>
        public string State { get; set; }
        /// <summary>
        /// 原因
        /// </summary>
        public string Reason { get; set; }
      
    }
}
