﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text;

namespace wms.dto.request
{
    public class BaseRequest
    {

    }
    public class ErrorTaskRequest
    {
        public string TaskNo { get; set; }
        public string WareHouse { get; set; }
    }
    public class DetailCodeStrRequest
    {
        public string Code { get; set; }
        public string? Cell { get; set; }
        public string? WareHouse { get; set; }
    }
    public class DetailCodeStr1Requestdto
    {
        public string Code { get; set; }
        public int State { get; set; }
        public string WareHouse { get; set; }
    }
    public class UpdatePurchStateRequestdto
    {
        public List<long> Id { get; set; }
    }
    /// <summary>
    /// 货位数据互换
    /// </summary>
    public class DataSwapCellStrRequest
    {
        /// <summary>
        /// 起始货位
        /// </summary>
        [Required(ErrorMessage = "{0} 起始货位不可为空")]
        public string StatEquip { get; set; }
        /// <summary>
        /// 目标货位
        /// </summary>
        [Required(ErrorMessage = "{0} 目标货位不可为空")]
        public string EndEquip { get; set; }
        public string WareHouse { get; set; }
    }
    public class AutoDetailRequest
    {
        public string Id { get; set; } = "0";
    }
    public class AddToCount
    {
        public string Addto { get; set; }
        public int Count { get; set; }
    }
}
