﻿using System; 
using System.Collections.Generic;
using SqlSugar;

namespace wms.sqlsugar.model.cp
{
    [Tenant("cp")]
    [SugarTable("Bill_BomSetGrp")]
    public partial class cpBillBomsetgrp : BaseModel
    { 

        /// <summary> 
        /// IsStop
        /// </summary> 
        [SugarColumn(ColumnDataType ="int" ,  IsNullable = false )]
        public int IsStop { get; set; }

        /// <summary> 
        /// WarehouseId
        /// </summary> 
        [SugarColumn(ColumnDataType ="bigint" ,  IsNullable = false )]
        public long WarehouseId { get; set; }

        /// <summary> 
        /// Code
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = false )]
        public string Code { get; set; }

        /// <summary> 
        /// Name
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 100  , IsNullable = false )]
        public string Name { get; set; }

        /// <summary> 
        /// BomId
        /// </summary> 
        [SugarColumn(ColumnDataType ="bigint" ,  IsNullable = false )]
        public long BomId { get; set; }

        /// <summary> 
        /// BomCode
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = false )]
        public string BomCode { get; set; }

        /// <summary> 
        /// PMatId
        /// </summary> 
        [SugarColumn(ColumnDataType ="bigint" ,  IsNullable = false )]
        public long PMatId { get; set; }

        /// <summary> 
        /// HWCountQty
        /// </summary> 
        [SugarColumn(ColumnDataType ="int" ,  IsNullable = false )]
        public int HWCountQty { get; set; }

        /// <summary> 
        /// TpTypeCode
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = false )]
        public string TpTypeCode { get; set; }

        /// <summary> 
        /// LayerCountQty
        /// </summary> 
        [SugarColumn(ColumnDataType ="int" ,  IsNullable = false )]
        public int LayerCountQty { get; set; }

        /// <summary> 
        /// Default1
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 100  , IsNullable = true )]
        public string Default1 { get; set; }

        /// <summary> 
        /// Default2
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 100  , IsNullable = true )]
        public string Default2 { get; set; }

        /// <summary> 
        /// Default3
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 100  , IsNullable = true )]
        public string Default3 { get; set; }


    }
}

