﻿using System; 
using System.Collections.Generic;
using SqlSugar;

namespace wms.sqlsugar.model.cp
{
    [Tenant("cp")]
    [SugarTable("Bill_PBoxRule")]
    public partial class cpBillPboxrule:BaseModel
    { 
    
        /// <summary> 
        /// WarehouseId
        /// </summary> 
        [SugarColumn(ColumnDataType ="bigint" ,  IsNullable = false )]
        public long WarehouseId { get; set; }

        /// <summary> 
        /// IsStop
        /// </summary> 
        [SugarColumn(ColumnDataType ="int" ,  IsNullable = false )]
        public int IsStop { get; set; }

        /// <summary> 
        /// DocsNo
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = false )]
        public string DocsNo { get; set; }

        /// <summary> 
        /// PBoxCode
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = false )]
        public string PBoxCode { get; set; }

        /// <summary> 
        /// PackRule
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = false )]
        public string PackRule { get; set; }

        /// <summary> 
        /// FullCountQty
        /// </summary> 
        [SugarColumn(ColumnDataType ="int" ,  IsNullable = false )]
        public int FullCountQty { get; set; }

        /// <summary> 
        /// EmptyCountQty
        /// </summary> 
        [SugarColumn(ColumnDataType ="int" ,  IsNullable = false )]
        public int EmptyCountQty { get; set; }

        /// <summary> 
        /// IsSolder
        /// </summary> 
        [SugarColumn(ColumnDataType ="int" ,  IsNullable = false )]
        public int IsSolder { get; set; }

        /// <summary> 
        /// TorsionMaxQty
        /// </summary> 
        [SugarColumn(ColumnDataType ="decimal" , Length = 18, DecimalDigits = 6, IsNullable = false )]
        public decimal TorsionMaxQty { get; set; }

        /// <summary> 
        /// TorsionMinQty
        /// </summary> 
        [SugarColumn(ColumnDataType ="decimal" , Length = 18, DecimalDigits = 6, IsNullable = false )]
        public decimal TorsionMinQty { get; set; }

        /// <summary> 
        /// TrayCode
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = false )]
        public string TrayCode { get; set; }

        /// <summary> 
        /// Dryer
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = false )]
        public string Dryer { get; set; }

        /// <summary> 
        /// Bulkhead
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = false )]
        public string Bulkhead { get; set; }

        /// <summary> 
        /// Vacuum
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = false )]
        public string Vacuum { get; set; }

        /// <summary> 
        /// ZXStateCode
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = false )]
        public string ZXStateCode { get; set; }

    }
}

