﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Text;

namespace wms.sqlsugar.model.cp
{
    [Tenant("cp")]
    [SugarTable("sys_config", "配置信息表")]
    public class cpSysConfig : BaseModel
    {
        [SugarColumn(ColumnName = "code", Length = 100)]
        public string Code { get; set; }
        [SugarColumn(ColumnName = "name", Length = 100)]
        public string Name { get; set; }
        [SugarColumn(ColumnName = "scontent", Length = 100)]
        public string SContent { get; set; }
        [SugarColumn(ColumnName = "stype", Length = 50)]
        public string SType { get; set; }
        [SugarColumn(ColumnName = "default1", Length = 100, IsNullable = true)]
        public string Default1 { get; set; }
        [SugarColumn(ColumnName = "default2", Length = 100, IsNullable = true)]
        public string Default2 { get; set; }
        [SugarColumn(ColumnName = "default3", Length = 100, IsNullable = true)]
        public string Default3 { get; set; }
        /// <summary>
        /// 码垛托盘输送铁托重量
        /// </summary>
        [SugarColumn(ColumnName = "default4", Length = 100, IsNullable = true)]
        public string Default4 { get; set; }
        [SugarColumn(ColumnName = "cache1state", Length = 50, IsNullable = true)]
        public string Cache1State { get; set; }
        [SugarColumn(ColumnName = "cache1weight", Length = 50, IsNullable = true)]
        public string Cache1Weight { get; set; }
        [SugarColumn(ColumnName = "robot", Length = 100, IsNullable = true)]
        public string Robot { get; set; }
        [SugarColumn(ColumnName = "taskflag", ColumnDataType = "int", IsNullable = true)]
        public int TaskFlag { get; set; }

        [SugarColumn(ColumnName = "cache2state", Length = 50, IsNullable = true)]
        public string Cache2State { get; set; }
        [SugarColumn(ColumnName = "cache2task", Length = 50, IsNullable = true)]
        public string Cache2Task { get; set; }
    }
}
