﻿using System; 
using System.Collections.Generic;
using SqlSugar;

namespace wms.sqlsugar.model.fj
{
    [Tenant("fj")]
    [SugarTable("Bill_DocsInfo")]
    public partial class BillDocsinfo:BaseModel
    { 
        /// <summary> 
        /// IsStop
        /// </summary> 
        [SugarColumn(ColumnDataType ="int" ,  IsNullable = false )]
        public int IsStop { get; set; }

        /// <summary> 
        /// WarehouseId
        /// </summary> 
        [SugarColumn(ColumnDataType ="bigint" ,  IsNullable = false )]
        public long WarehouseId { get; set; }

        /// <summary> 
        /// ReqNo
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = false )]
        public string ReqNo { get; set; }

        /// <summary> 
        /// DocsNo
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 50  , IsNullable = false )]
        public string DocsNo { get; set; }

        /// <summary> 
        /// TypeNum
        /// </summary> 
        [SugarColumn(ColumnDataType ="int" ,  IsNullable = false )]
        public int TypeNum { get; set; }

        /// <summary> 
        /// StateNum
        /// </summary> 
        [SugarColumn(ColumnDataType ="int" ,  IsNullable = false )]
        public int StateNum { get; set; }

        /// <summary> 
        /// JsonContent
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar", Length = 5000, IsNullable = true )]
        public string JsonContent { get; set; }

        /// <summary> 
        /// DownQty
        /// </summary> 
        [SugarColumn(ColumnDataType ="int" ,  IsNullable = false )]
        public int DownQty { get; set; }

        /// <summary> 
        /// DownErrReason
        /// </summary> 
        [SugarColumn(ColumnDataType ="nvarchar" , Length = 500  , IsNullable = true )]
        public string DownErrReason { get; set; }

        /// <summary> 
        /// BomCode（投料信息）
        /// </summary> 
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = false)]
        public string BomCode { get; set; }

        /// <summary> 
        /// 帘线物料编码
        /// </summary> 
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = false)]
        public string ProMaterCode { get; set; }
        /// <summary>
        /// 垛型编码
        /// </summary>
        [SugarColumn(ColumnName = "SetGrpCode", ColumnDataType = "nvarchar", Length = 50)]
        public string SetGrpCode { get; set; }

        /// <summary>
        /// 生产订单号
        /// </summary>
        [SugarColumn(ColumnName = "WorkOrder", ColumnDataType = "nvarchar", Length = 50)]
        public string WorkOrder { get; set; }
    }
}

