﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Text;

namespace wms.sqlsugar.model.hj
{
    [Tenant("hj")]
    [SugarTable("base_units", "单位表")]
    public class hjBaseUnits : BaseModel
    {
        /// <summary>
        /// 编码
        /// </summary>
        [SugarColumn(ColumnName = "code", ColumnDataType = "nvarchar", Length = 50)]
        public string Code { get; set; }
        /// <summary>
        /// 名称
        /// </summary>
        [SugarColumn(ColumnName = "name", ColumnDataType = "nvarchar", Length = 100)]
        public string Name { get; set; }
        /// <summary>
        /// 主单位编码
        /// </summary>
        [SugarColumn(ColumnName = "primary_unit", ColumnDataType = "nvarchar", Length = 50)]
        public string PrimaryUnit { get; set; }
        /// <summary>
        /// 副单位编码
        /// </summary>
        [SugarColumn(ColumnName = "deputy_unit", ColumnDataType = "nvarchar", Length = 50)]
        public string DeputyUnit { get; set; }
        /// <summary>
        /// 换算率
        /// </summary>
        [SugarColumn(ColumnName = "conversion_unit", ColumnDataType = "nvarchar", Length = 50)]
        public string ConversionUnit { get; set; }
    }
}
