﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Text;

namespace wms.sqlsugar.model.sx
{
    [Tenant("sx")]
    [SugarTable("base_warehouse", "仓库表")]
    public class sxBaseWarehouse : BaseModel
    {
        /// <summary>
        /// 仓库编码
        /// </summary>
        [SugarColumn(ColumnName = "code", ColumnDataType = "nvarchar", Length = 50)]
        public string Code { get; set; }
        /// <summary>
        /// 仓库名称
        /// </summary>
        [SugarColumn(ColumnName = "name", ColumnDataType = "nvarchar", Length = 100)]
        public string Name { get; set; }
        /// <summary>
        /// 仓库类型
        /// </summary>
        [SugarColumn(ColumnName = "ware_type", ColumnDataType = "nvarchar", Length = 50)]
        public string WareType { get; set; }
        /// <summary>
        /// 仓库状态
        /// </summary>
        [SugarColumn(ColumnName = "ware_state", ColumnDataType = "nvarchar", Length = 50)]
        public string WareState { get; set; }
        /// <summary>
        /// 厂区
        /// </summary>
        [SugarColumn(ColumnName = "factory_no", ColumnDataType = "nvarchar", Length = 50)]
        public string FactoryNo { get; set; }
        /// <summary>
        /// 仓库地址ID
        /// </summary>
        [SugarColumn(ColumnName = "ware_addr_id")]
        public long WareAddrID { get; set; }
        /// <summary>
        /// 仓库对数据连接
        /// </summary>
        [SugarColumn(ColumnName = "ware_db_link", ColumnDataType = "nvarchar", Length = 100)]
        public string WareDbLink { get; set; }
    }
}
