﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Text;

namespace wms.sqlsugar.model.sx
{
    [Tenant("sx")]
    [SugarTable("bill_bom_info", "BOM信息表")]
    public class sxBillBomInfo : BaseModel
    {
        /// <summary>
        /// BOM编码
        /// </summary>
        [SugarColumn(ColumnName = "bom_code", ColumnDataType = "nvarchar", Length = 50)]
        public string BomCode { get; set; }
        /// <summary>
        /// 湿拉物料编码
        /// </summary>
        [SugarColumn(ColumnName = "mater_code", ColumnDataType = "nvarchar", Length = 100)]
        public string MaterCode { get; set; }
        /// <summary>
        /// 轮子个数
        /// </summary>
        [SugarColumn(ColumnName = "hw_count")]
        public int HWCount { get; set; }
    }
}
