﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Text;

namespace wms.sqlsugar.model.sx
{
    [Tenant("sx")]
    [SugarTable("bill_wet_stamp", "湿拉跺型主表")]
    public class sxBillWetStack : BaseModel
    {
        /// <summary>
        /// 跺型编码
        /// </summary>
        [SugarColumn(ColumnName = "code", ColumnDataType = "nvarchar", Length = 50)]
        public string Code { get; set; }
        /// <summary>
        /// 跺型名称
        /// </summary>
        [SugarColumn(ColumnName = "name", ColumnDataType = "nvarchar", Length = 100)]
        public string Name { get; set; }
        /// <summary>
        /// 帘线物料编码
        /// </summary>
        [SugarColumn(ColumnName = "pro_mater_code", ColumnDataType = "nvarchar", Length = 50)]
        public string ProMaterCode { get; set; }
        /// <summary>
        /// BOM编码
        /// </summary>
        [SugarColumn(ColumnName = "bom_code", ColumnDataType = "nvarchar", Length = 50)]
        public string BomCode { get; set; }
        /// <summary>
        /// 容器类型
        /// </summary>
        [SugarColumn(ColumnName = "container_type", ColumnDataType = "nvarchar", Length = 50)]
        public string ContainerType { get; set; }
        /// <summary>
        /// 工字轮总数
        /// </summary>
        [SugarColumn(ColumnName = "hw_count")]
        public int HWCount { get; set; }
        /// <summary>
        /// 总层数
        /// </summary>
        [SugarColumn(ColumnName = "layer_tol")]
        public int LayerTol { get; set; }
        /// <summary>
        /// 行停用
        /// </summary>
        [SugarColumn(ColumnName = "row_stop")]
        public int RowStop { get; set; }
    }
}
