using wms.workservice;


IHost host = Host.CreateDefaultBuilder(args)
     .UseWindowsService(options =>
     {
         //ʾWindowsеķ
         options.ServiceName = "WmsConService";
     })
    .ConfigureServices((hostContext, services) =>
    {
        services.AddSingleton<ConService>();
        services.AddHostedService<Worker>();
        services.AddSingleton(new wms.util.AppSettings(hostContext.Configuration));
    })
    .Build();

await host.RunAsync();
